#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'personalinvitewidget.ui'
**
** Created: 2015-11-13T03:58:16
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "personalinvitewidget.h"

#include <qvariant.h>
#include <kactivelabel.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PersonalInviteWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PersonalInviteWidget::PersonalInviteWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Form1" );
    Form1Layout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "Form1Layout"); 
    Form1Layout->setResizeMode( QLayout::Fixed );

    mainTextLabel = new KActiveLabel( this, "mainTextLabel" );
    mainTextLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, mainTextLabel->sizePolicy().hasHeightForWidth() ) );
    mainTextLabel->setFocusPolicy( KActiveLabel::NoFocus );

    Form1Layout->addMultiCellWidget( mainTextLabel, 0, 0, 1, 3 );
    spacer9 = new QSpacerItem( 20, 34, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Form1Layout->addItem( spacer9, 1, 2 );

    pixmapLabel = new QLabel( this, "pixmapLabel" );
    pixmapLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pixmapLabel->sizePolicy().hasHeightForWidth() ) );
    pixmapLabel->setMinimumSize( QSize( 108, 318 ) );
    pixmapLabel->setMaximumSize( QSize( 108, 318 ) );
    pixmapLabel->setFrameShape( QLabel::WinPanel );
    pixmapLabel->setFrameShadow( QLabel::Sunken );
    pixmapLabel->setScaledContents( TRUE );

    Form1Layout->addMultiCellWidget( pixmapLabel, 0, 5, 0, 0 );
    spacer10 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Form1Layout->addItem( spacer10, 5, 2 );

    hostLabel = new KActiveLabel( this, "hostLabel" );
    hostLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, hostLabel->sizePolicy().hasHeightForWidth() ) );
    hostLabel->setFocusPolicy( KActiveLabel::NoFocus );

    Form1Layout->addWidget( hostLabel, 2, 2 );

    kActiveLabel6 = new QLabel( this, "kActiveLabel6" );
    kActiveLabel6->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, kActiveLabel6->sizePolicy().hasHeightForWidth() ) );

    Form1Layout->addWidget( kActiveLabel6, 3, 1 );

    kActiveLabel7 = new QLabel( this, "kActiveLabel7" );
    kActiveLabel7->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, kActiveLabel7->sizePolicy().hasHeightForWidth() ) );

    Form1Layout->addWidget( kActiveLabel7, 4, 1 );

    passwordLabel = new KActiveLabel( this, "passwordLabel" );
    passwordLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, passwordLabel->sizePolicy().hasHeightForWidth() ) );
    passwordLabel->setFocusPolicy( KActiveLabel::NoFocus );

    Form1Layout->addWidget( passwordLabel, 3, 2 );

    expirationLabel = new KActiveLabel( this, "expirationLabel" );
    expirationLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, expirationLabel->sizePolicy().hasHeightForWidth() ) );
    expirationLabel->setFocusPolicy( KActiveLabel::NoFocus );

    Form1Layout->addWidget( expirationLabel, 4, 2 );

    kActiveLabel5 = new QLabel( this, "kActiveLabel5" );
    kActiveLabel5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, kActiveLabel5->sizePolicy().hasHeightForWidth() ) );

    Form1Layout->addWidget( kActiveLabel5, 2, 1 );

    hostHelpLabel = new KActiveLabel( this, "hostHelpLabel" );
    hostHelpLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, hostHelpLabel->sizePolicy().hasHeightForWidth() ) );

    Form1Layout->addWidget( hostHelpLabel, 2, 3 );
    languageChange();
    resize( QSize(519, 328).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PersonalInviteWidget::~PersonalInviteWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PersonalInviteWidget::languageChange()
{
    setCaption( QString::null );
    mainTextLabel->setText( tr2i18n( "<h2>Personal Invitation</h2>\n"
"Give the information below to the person that you want to invite (<a href=\"whatsthis:Desktop Sharing uses the VNC protocol. You can use any VNC client to connect. In KDE the client is called 'Remote Desktop Connection'. Enter the host information into the client and it will connect..\">how to connect</a>). Note that everybody who gets the password can connect, so be careful." ) );
    hostLabel->setText( tr2i18n( "cookie.tjansen.de:0" ) );
    kActiveLabel6->setText( tr2i18n( "<b>Password:</b>" ) );
    kActiveLabel7->setText( tr2i18n( "<b>Expiration time:</b>" ) );
    passwordLabel->setText( tr2i18n( "12345" ) );
    expirationLabel->setText( tr2i18n( "17:12" ) );
    kActiveLabel5->setText( tr2i18n( "<b>Host:</b>" ) );
    hostHelpLabel->setText( tr2i18n( "(<a href=\"whatsthis:This field contains the address of your computer and the display number, separated by a colon. The address is just a hint - you can use any address that can reach your computer. Desktop Sharing tries to guess your address from your network configuration, but does not always succeed in doing so. If your computer is behind a firewall it may have a different address or be unreachable for other computers.\">Help</a>)" ) );
}

/****************************************************************************
** PersonalInviteWidget meta object code from reading C++ file 'personalinvitewidget.h'
**
** Created: Fri Nov 13 03:58:17 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "personalinvitewidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *PersonalInviteWidget::className() const
{
    return "PersonalInviteWidget";
}

QMetaObject *PersonalInviteWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_PersonalInviteWidget( "PersonalInviteWidget", &PersonalInviteWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString PersonalInviteWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PersonalInviteWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString PersonalInviteWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PersonalInviteWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* PersonalInviteWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"PersonalInviteWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_PersonalInviteWidget.setMetaObject( metaObj );
    return metaObj;
}

void* PersonalInviteWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PersonalInviteWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool PersonalInviteWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool PersonalInviteWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool PersonalInviteWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool PersonalInviteWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
