#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'invitewidget.ui'
**
** Created: 2015-11-13T03:58:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "invitewidget.h"

#include <qvariant.h>
#include <qlabel.h>
#include <kactivelabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a InviteWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
InviteWidget::InviteWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "InviteWidget" );
    InviteWidgetLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "InviteWidgetLayout"); 

    TextLabel2 = new QLabel( this, "TextLabel2" );
    QFont TextLabel2_font(  TextLabel2->font() );
    TextLabel2_font.setBold( TRUE );
    TextLabel2->setFont( TextLabel2_font ); 

    InviteWidgetLayout->addMultiCellWidget( TextLabel2, 0, 0, 1, 3 );

    kActiveLabel1 = new KActiveLabel( this, "kActiveLabel1" );
    kActiveLabel1->setFocusPolicy( KActiveLabel::NoFocus );

    InviteWidgetLayout->addMultiCellWidget( kActiveLabel1, 1, 1, 1, 3 );

    pixmapLabel = new QLabel( this, "pixmapLabel" );
    pixmapLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pixmapLabel->sizePolicy().hasHeightForWidth() ) );
    pixmapLabel->setMinimumSize( QSize( 108, 318 ) );
    pixmapLabel->setMaximumSize( QSize( 108, 318 ) );
    pixmapLabel->setFrameShape( QLabel::WinPanel );
    pixmapLabel->setFrameShadow( QLabel::Sunken );
    pixmapLabel->setScaledContents( TRUE );
    pixmapLabel->setAlignment( int( QLabel::AlignTop ) );

    InviteWidgetLayout->addMultiCellWidget( pixmapLabel, 0, 6, 0, 0 );
    spacer4 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    InviteWidgetLayout->addItem( spacer4, 4, 3 );

    btnCreateInvite = new QPushButton( this, "btnCreateInvite" );

    InviteWidgetLayout->addWidget( btnCreateInvite, 3, 2 );
    spacer5 = new QSpacerItem( 20, 24, QSizePolicy::Minimum, QSizePolicy::Fixed );
    InviteWidgetLayout->addItem( spacer5, 6, 2 );
    spacer3 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    InviteWidgetLayout->addItem( spacer3, 4, 1 );

    btnManageInvite = new QPushButton( this, "btnManageInvite" );

    InviteWidgetLayout->addWidget( btnManageInvite, 5, 2 );

    btnEmailInvite = new QPushButton( this, "btnEmailInvite" );

    InviteWidgetLayout->addWidget( btnEmailInvite, 4, 2 );
    spacer2 = new QSpacerItem( 20, 89, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    InviteWidgetLayout->addItem( spacer2, 2, 2 );
    languageChange();
    resize( QSize(521, 328).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
InviteWidget::~InviteWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void InviteWidget::languageChange()
{
    setCaption( QString::null );
    TextLabel2->setText( tr2i18n( "Welcome to KDE Desktop Sharing" ) );
    kActiveLabel1->setText( tr2i18n( "KDE Desktop Sharing allows you to invite somebody at a remote location to watch and possibly control your desktop.\n"
"<a href=\"whatsthis:<p>An invitation creates a one-time password that allows the receiver to connect to your desktop. It is valid for only one successful connection and will expire after an hour if it has not been used. When somebody connects to your computer a dialog will appear and ask you for permission. The connection will not be established before you accept it. In this dialog you can also restrict the other person to view your desktop only, without the ability to move your mouse pointer or press keys.</p><p>If you want to create a permanent password for Desktop Sharing, allow 'Uninvited Connections' in the configuration.</p>\">More about invitations...</a>" ) );
    btnCreateInvite->setText( tr2i18n( "Create &Personal Invitation..." ) );
    QToolTip::add( btnCreateInvite, QString::null );
    QWhatsThis::add( btnCreateInvite, tr2i18n( "Create a new invitation and display the connection data. Use this option if you want to invite somebody personally, for example, to give the connection data over the phone." ) );
    btnManageInvite->setText( tr2i18n( "&Manage Invitations (%1)..." ) );
    btnEmailInvite->setText( tr2i18n( "Invite via &Email..." ) );
    QWhatsThis::add( btnEmailInvite, tr2i18n( "This button will start your email application with a pre-configured text that explains to the recipient how to connect to your computer. " ) );
}

/****************************************************************************
** InviteWidget meta object code from reading C++ file 'invitewidget.h'
**
** Created: Fri Nov 13 03:58:17 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "invitewidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *InviteWidget::className() const
{
    return "InviteWidget";
}

QMetaObject *InviteWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_InviteWidget( "InviteWidget", &InviteWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString InviteWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "InviteWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString InviteWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "InviteWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* InviteWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"createInviteClicked", 0, 0 };
    static const QUMethod signal_1 = {"emailInviteClicked", 0, 0 };
    static const QUMethod signal_2 = {"manageInviteClicked", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "createInviteClicked()", &signal_0, QMetaData::Public },
	{ "emailInviteClicked()", &signal_1, QMetaData::Public },
	{ "manageInviteClicked()", &signal_2, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"InviteWidget", parentObject,
	slot_tbl, 1,
	signal_tbl, 3,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_InviteWidget.setMetaObject( metaObj );
    return metaObj;
}

void* InviteWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "InviteWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL createInviteClicked
void InviteWidget::createInviteClicked()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

// SIGNAL emailInviteClicked
void InviteWidget::emailInviteClicked()
{
    activate_signal( staticMetaObject()->signalOffset() + 1 );
}

// SIGNAL manageInviteClicked
void InviteWidget::manageInviteClicked()
{
    activate_signal( staticMetaObject()->signalOffset() + 2 );
}

bool InviteWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool InviteWidget::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: createInviteClicked(); break;
    case 1: emailInviteClicked(); break;
    case 2: manageInviteClicked(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool InviteWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool InviteWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
